%define upstream_name       Perl-Critic
%define upstream_version 1.152

%global __requires_exclude perl\\((charnames|Perl6::Say)\\)
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Critique Perl source for style and standards
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Keywords) >= 1.230.0
BuildRequires: perl(Carp)
BuildRequires: perl(Config::Tiny) >= 2.0.0
BuildRequires: perl(English)
BuildRequires: perl(Exception::Class) >= 1.230.0
BuildRequires: perl(Exporter) >= 5.630.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Unix)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::SomeUtils) >= 0.550.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.420.400
BuildRequires: perl(Module::Pluggable) >= 3.100.0
BuildRequires: perl(PPI) >= 1.277.0
BuildRequires: perl(PPI::Document) >= 1.277.0
BuildRequires: perl(PPI::Document::File) >= 1.277.0
BuildRequires: perl(PPI::Node) >= 1.277.0
BuildRequires: perl(PPI::Token::Quote::Single) >= 1.277.0
BuildRequires: perl(PPI::Token::Whitespace) >= 1.277.0
BuildRequires: perl(PPIx::QuoteLike)
BuildRequires: perl(PPIx::Regexp) >= 0.27.0
BuildRequires: perl(PPIx::Regexp::Util) >= 0.68.0
BuildRequires: perl(PPIx::Utils::Traversal) >= 0.3.0
BuildRequires: perl(Perl::Tidy)
BuildRequires: perl(Pod::PlainText)
BuildRequires: perl(Pod::Select)
BuildRequires: perl(Pod::Spell) >= 1.0.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Readonly) >= 2.0.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Format) >= 1.180.0
BuildRequires: perl(Term::ANSIColor) >= 2.20.0
BuildRequires: perl(Test::Builder) >= 0.920.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::ParseWords) >= 3.0.0
BuildRequires: perl(base)
BuildRequires: perl(charnames)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.770.0
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Module::Pluggable)
%description
Perl::Critic is an extensible framework for creating and applying coding
standards to Perl source code. Essentially, it is a static source code analysis
engine. Perl::Critic is distributed with a number of Perl::Critic::Policy
modules that attempt to enforce various coding guidelines. Most Policies are
based on Damian Conway's book Perl Best Practices. You can choose and customize
those Polices through the Perl::Critic interface. You can also create new
Policy modules that suit your own tastes.

For a convenient command-line interface to Perl::Critic, see the documentation
for perlcritic. If you want to integrate Perl::Critic with your build process,
Test::Perl::Critic provides a nice interface that is suitable for test scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Perl
%{perl_vendorlib}/Test
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Mon Oct 23 2023 tv <tv> 1.152.0-1.mga10
+ Revision: 2000320
- update to 1.152

* Tue Aug 29 2023 tv <tv> 1.150.0-1.mga10
+ Revision: 1981014
- update to 1.150

* Mon Jan 09 2023 tv <tv> 1.148.0-1.mga9
+ Revision: 1931797
- update to 1.148

* Thu Dec 29 2022 tv <tv> 1.146.0-1.mga9
+ Revision: 1927680
- update to 1.146

* Thu Dec 08 2022 tv <tv> 1.144.0-1.mga9
+ Revision: 1919225
- update to 1.144

* Mon Dec 05 2022 tv <tv> 1.142.0-1.mga9
+ Revision: 1918109
- update to 1.142

* Wed Mar 23 2022 umeabot <umeabot> 1.140.0-2.mga9
+ Revision: 1820629
- Mageia 9 Mass Rebuild

* Fri Mar 26 2021 tv <tv> 1.140.0-1.mga9
+ Revision: 1710700
- update to 1.140

* Wed Feb 19 2020 umeabot <umeabot> 1.138.0-2.mga8
+ Revision: 1544301
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 tv <tv> 1.138.0-1.mga8
+ Revision: 1482767
- update to 1.38

* Thu Nov 28 2019 tv <tv> 1.136.0-1.mga8
+ Revision: 1463277
- update to 1.136

* Sat Jun 29 2019 tv <tv> 1.134.0-1.mga8
+ Revision: 1416093
- update to 1.134

* Thu Sep 20 2018 umeabot <umeabot> 1.132.0-2.mga7
+ Revision: 1285710
- Mageia 7 Mass Rebuild

* Fri Jun 01 2018 tv <tv> 1.132.0-1.mga7
+ Revision: 1233486
- update to 1.132

* Fri Jul 28 2017 shlomif <shlomif> 1.130.0-1.mga7
+ Revision: 1132220
- New version 1.130

* Sun Jun 19 2016 pterjan <pterjan> 1.126.0-3.mga6
+ Revision: 1031960
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.126.0-2.mga6
+ Revision: 969189
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 1.126.0-1.mga6
+ Revision: 864427
- update to 1.126

* Tue Jun 30 2015 sander85 <sander85> 1.125.0-1.mga6
+ Revision: 848662
- update to 1.125

* Wed Oct 15 2014 umeabot <umeabot> 1.122.0-4.mga5
+ Revision: 739178
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.122.0-3.mga5
+ Revision: 733704
- add excludes
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.122.0-2.mga5
+ Revision: 685923
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Wed Aug 27 2014 sander85 <sander85> 1.122.0-1.mga5
+ Revision: 668726
- update to 1.122

* Mon Feb 10 2014 sander85 <sander85> 1.121.0-1.mga5
+ Revision: 588182
- update to 1.121

* Mon Oct 21 2013 umeabot <umeabot> 1.119.0-2.mga4
+ Revision: 537798
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 1.119.0-1.mga4
+ Revision: 487760
- update to 1.119

* Sun Jan 13 2013 umeabot <umeabot> 1.118.0-2.mga3
+ Revision: 371651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 1.118.0-1.mga3
+ Revision: 270335
- update to 1.118

* Thu Jan 05 2012 jquelin <jquelin> 1.117.0-1.mga2
+ Revision: 191337
- update to 1.117

* Wed Jun 15 2011 jquelin <jquelin> 1.116.0-1.mga2
+ Revision: 107322
- update to 1.116

* Sun Apr 03 2011 jquelin <jquelin> 1.115.0-1.mga1
+ Revision: 80151
- update to 1.115

* Mon Mar 28 2011 jquelin <jquelin> 1.114.0-1.mga1
+ Revision: 78383
- update to 1.114

* Thu Feb 17 2011 jquelin <jquelin> 1.113.0-1.mga1
+ Revision: 53220
- update to 1.113

* Mon Jan 24 2011 jquelin <jquelin> 1.111.0-2.mga1
+ Revision: 37278
- rebuild
- adding a requires exception

* Mon Jan 24 2011 jquelin <jquelin> 1.111.0-1.mga1
+ Revision: 36497
- mageia rebuild
- imported package perl-Perl-Critic

